<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>To-Do List Detail</title>
  </head>
  <body>
    <main>
      <div>
        <h1>{{ task.name }}</h1>
        <p>
          <a href="{% url 'todo_list_update' id=todo_object.id %}">Edit</a>
        </p>
        <p>
          <a href="{% url 'todo_list_delete' id=todo_object.id %}">Delete</a>
        </p>
        <h2>{{ todo_object.name }}</h2>
        <table>
          <tr>
            <th>Task</th>
            <th>Due date</th>
          </tr>
          {% for task in todo_object.items.all %}
          <tr>
            <td>
              <a href={% url 'todo_item_update' todo_object.id %}>{{ task.task }}
            </td>
            <td>{{ task.due_date }}</td>
          </tr>
          {% endfor %}
        </table>
      </div>
    </main>
  </body>
</html>
